kind: Pod
apiVersion: v1
metadata:
  generateName: llm-deploy-e89ab8a1-59f8786cdc-
  annotations:
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.131.1.114/23"],"mac_address":"0a:58:0a:83:01:72","gateway_ips":["10.131.0.1"],"routes":[{"dest":"10.128.0.0/14","nextHop":"10.131.0.1"},{"dest":"172.30.0.0/16","nextHop":"10.131.0.1"},{"dest":"169.254.169.5/32","nextHop":"10.131.0.1"},{"dest":"100.64.0.0/16","nextHop":"10.131.0.1"}],"ip_address":"10.131.1.114/23","gateway_ip":"10.131.0.1"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.131.1.114"
          ],
          "mac": "0a:58:0a:83:01:72",
          "default": true,
          "dns": {}
      }]
    openshift.io/scc: restricted-v2
    seccomp.security.alpha.kubernetes.io/pod: runtime/default
  resourceVersion: '214487331'
  name: llm-deploy-e89ab8a1-59f8786cdc-gpzwm
  uid: 7befe764-282f-4b8a-b906-94a42b085765
  creationTimestamp: '2025-06-26T11:26:40Z'
  managedFields:
    - manager: kube-controller-manager
      operation: Update
      apiVersion: v1
      time: '2025-06-26T11:26:40Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:app': {}
            'f:pod-template-hash': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"1afbf360-d38c-4049-85e4-fa0691319f4e"}': {}
        'f:spec':
          'f:volumes':
            .: {}
            'k:{"name":"cache-volume"}':
              .: {}
              'f:name': {}
              'f:persistentVolumeClaim':
                .: {}
                'f:claimName': {}
            'k:{"name":"dshm"}':
              .: {}
              'f:emptyDir':
                .: {}
                'f:medium': {}
              'f:name': {}
          'f:containers':
            'k:{"name":"rhaiis"}':
              'f:image': {}
              'f:volumeMounts':
                .: {}
                'k:{"mountPath":"/dev/shm"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
                'k:{"mountPath":"/mnt/model"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources':
                .: {}
                'f:limits':
                  .: {}
                  'f:nvidia.com/gpu': {}
                'f:requests':
                  .: {}
                  'f:nvidia.com/gpu': {}
              'f:args': {}
              'f:command': {}
              'f:env':
                .: {}
                'k:{"name":"HF_HOME"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"HF_HUB_OFFLINE"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"HUGGING_FACE_HUB_TOKEN"}':
                  .: {}
                  'f:name': {}
                  'f:valueFrom':
                    .: {}
                    'f:secretKeyRef': {}
                'k:{"name":"VLLM_LOGGING_LEVEL"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"VLLM_NO_USAGE_STATS"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
              'f:securityContext':
                .: {}
                'f:allowPrivilegeEscalation': {}
                'f:capabilities':
                  .: {}
                  'f:drop': {}
                'f:seccompProfile':
                  .: {}
                  'f:type': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:ports':
                .: {}
                'k:{"containerPort":8000,"protocol":"TCP"}':
                  .: {}
                  'f:containerPort': {}
                  'f:protocol': {}
              'f:name': {}
          'f:dnsPolicy': {}
          'f:restartPolicy': {}
          'f:schedulerName': {}
          'f:terminationGracePeriodSeconds': {}
          'f:initContainers':
            .: {}
            'k:{"name":"download"}':
              'f:image': {}
              'f:volumeMounts':
                .: {}
                'k:{"mountPath":"/mnt/model"}':
                  .: {}
                  'f:mountPath': {}
                  'f:name': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources': {}
              'f:args': {}
              'f:command': {}
              'f:env':
                .: {}
                'k:{"name":"HF_HOME"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"HF_HUB_OFFLINE"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"HUGGING_FACE_HUB_TOKEN"}':
                  .: {}
                  'f:name': {}
                  'f:valueFrom':
                    .: {}
                    'f:secretKeyRef': {}
              'f:securityContext':
                .: {}
                'f:allowPrivilegeEscalation': {}
                'f:capabilities':
                  .: {}
                  'f:drop': {}
                'f:seccompProfile':
                  .: {}
                  'f:type': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:name': {}
          'f:imagePullSecrets':
            .: {}
            'k:{"name":"quay-secrets"}': {}
          'f:enableServiceLinks': {}
          'f:securityContext': {}
    - manager: modelsibm-cs99s-worker-gpu-wd5zg
      operation: Update
      apiVersion: v1
      time: '2025-06-26T11:26:40Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.ovn.org/pod-networks': {}
      subresource: status
    - manager: multus-daemon
      operation: Update
      apiVersion: v1
      time: '2025-06-26T11:27:20Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.v1.cni.cncf.io/network-status': {}
      subresource: status
    - manager: kubelet
      operation: Update
      apiVersion: v1
      time: '2025-06-26T11:27:24Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:hostIP': {}
          'f:phase': {}
          'f:conditions':
            'k:{"type":"ContainersReady"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Initialized"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"PodReadyToStartContainers"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Ready"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
          'f:containerStatuses': {}
          'f:hostIPs': {}
          'f:podIP': {}
          'f:startTime': {}
          'f:podIPs':
            .: {}
            'k:{"ip":"10.131.1.114"}':
              .: {}
              'f:ip': {}
          'f:initContainerStatuses': {}
      subresource: status
  namespace: model-deploy-1bc18
  ownerReferences:
    - apiVersion: apps/v1
      kind: ReplicaSet
      name: llm-deploy-e89ab8a1-59f8786cdc
      uid: 1afbf360-d38c-4049-85e4-fa0691319f4e
      controller: true
      blockOwnerDeletion: true
  labels:
    app: rhaiis-runner
    pod-template-hash: 59f8786cdc
spec:
  restartPolicy: Always
  initContainers:
    - resources: {}
      terminationMessagePath: /dev/termination-log
      name: download
      command:
        - /bin/bash
        - '-c'
      env:
        - name: HF_HUB_OFFLINE
          value: '0'
        - name: HF_HOME
          value: /mnt/model
        - name: HUGGING_FACE_HUB_TOKEN
          valueFrom:
            secretKeyRef:
              name: hf-token-secret
              key: HUGGING_FACE_TOKEN
      securityContext:
        capabilities:
          drop:
            - ALL
        runAsUser: 1000920000
        runAsNonRoot: true
        allowPrivilegeEscalation: false
        seccompProfile:
          type: RuntimeDefault
      imagePullPolicy: IfNotPresent
      volumeMounts:
        - name: cache-volume
          mountPath: /mnt/model
        - name: kube-api-access-gmxv7
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: File
      image: 'quay.io/aipcc/rhaiis/cuda-ubi9:3.1-0-1750864644'
      args:
        - huggingface-cli download ibm-granite/granite-vision-3.1-2b-preview
  serviceAccountName: default
  imagePullSecrets:
    - name: quay-secrets
  priority: 0
  schedulerName: default-scheduler
  enableServiceLinks: true
  terminationGracePeriodSeconds: 30
  preemptionPolicy: PreemptLowerPriority
  nodeName: modelsibm-cs99s-worker-gpu-wd5zg
  securityContext:
    seLinuxOptions:
      level: 's0:c30,c25'
    fsGroup: 1000920000
    seccompProfile:
      type: RuntimeDefault
  containers:
    - resources:
        limits:
          nvidia.com/gpu: '1'
        requests:
          nvidia.com/gpu: '1'
      terminationMessagePath: /dev/termination-log
      name: rhaiis
      command:
        - /bin/bash
        - '-c'
      env:
        - name: HF_HUB_OFFLINE
          value: '0'
        - name: VLLM_LOGGING_LEVEL
          value: DEBUG
        - name: VLLM_NO_USAGE_STATS
          value: '1'
        - name: HF_HOME
          value: /mnt/model
        - name: HUGGING_FACE_HUB_TOKEN
          valueFrom:
            secretKeyRef:
              name: hf-token-secret
              key: HUGGING_FACE_TOKEN
      securityContext:
        capabilities:
          drop:
            - ALL
        runAsUser: 1000920000
        runAsNonRoot: true
        allowPrivilegeEscalation: false
        seccompProfile:
          type: RuntimeDefault
      ports:
        - containerPort: 8000
          protocol: TCP
      imagePullPolicy: IfNotPresent
      volumeMounts:
        - name: cache-volume
          mountPath: /mnt/model
        - name: dshm
          mountPath: /dev/shm
        - name: kube-api-access-gmxv7
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: File
      image: 'quay.io/aipcc/rhaiis/cuda-ubi9:3.1-0-1750864644'
      args:
        - vllm serve ibm-granite/granite-vision-3.1-2b-preview --uvicorn-log-level debug --trust-remote-code --enable-chunked-prefill --tensor-parallel-size 1 --max-model-len 10000
  serviceAccount: default
  volumes:
    - name: cache-volume
      persistentVolumeClaim:
        claimName: minio-pvc
    - name: dshm
      emptyDir:
        medium: Memory
    - name: kube-api-access-gmxv7
      projected:
        sources:
          - serviceAccountToken:
              expirationSeconds: 3607
              path: token
          - configMap:
              name: kube-root-ca.crt
              items:
                - key: ca.crt
                  path: ca.crt
          - downwardAPI:
              items:
                - path: namespace
                  fieldRef:
                    apiVersion: v1
                    fieldPath: metadata.namespace
          - configMap:
              name: openshift-service-ca.crt
              items:
                - key: service-ca.crt
                  path: service-ca.crt
        defaultMode: 420
  dnsPolicy: ClusterFirst
  tolerations:
    - key: node.kubernetes.io/not-ready
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/unreachable
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
status:
  containerStatuses:
    - restartCount: 0
      started: true
      ready: true
      name: rhaiis
      state:
        running:
          startedAt: '2025-06-26T11:27:24Z'
      imageID: 'quay.io/aipcc/rhaiis/cuda-ubi9@sha256:0b49c50b27f7132b63b195e2d4eddd3ac7b638cfe4abccf1a084b5d65894f2be'
      image: 'quay.io/aipcc/rhaiis/cuda-ubi9:3.1'
      lastState: {}
      containerID: 'cri-o://9303e3f1b2ed72d719cb454821aa23803d04306c3ce1af71ea696f52973f02ec'
  qosClass: BestEffort
  hostIPs:
    - ip: 10.241.128.17
  podIPs:
    - ip: 10.131.1.114
  podIP: 10.131.1.114
  hostIP: 10.241.128.17
  startTime: '2025-06-26T11:26:46Z'
  initContainerStatuses:
    - restartCount: 0
      started: false
      ready: true
      name: download
      state:
        terminated:
          exitCode: 0
          reason: Completed
          startedAt: '2025-06-26T11:27:22Z'
          finishedAt: '2025-06-26T11:27:23Z'
          containerID: 'cri-o://a079fed1ede65daa9be8bae384c51f435fa0470cb55ee95c257a0a8e491aebe0'
      imageID: 'quay.io/aipcc/rhaiis/cuda-ubi9@sha256:0b49c50b27f7132b63b195e2d4eddd3ac7b638cfe4abccf1a084b5d65894f2be'
      image: 'quay.io/aipcc/rhaiis/cuda-ubi9:3.1'
      lastState: {}
      containerID: 'cri-o://a079fed1ede65daa9be8bae384c51f435fa0470cb55ee95c257a0a8e491aebe0'
  conditions:
    - type: PodReadyToStartContainers
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2025-06-26T11:27:23Z'
    - type: Initialized
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2025-06-26T11:27:23Z'
    - type: Ready
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2025-06-26T11:27:24Z'
    - type: ContainersReady
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2025-06-26T11:27:24Z'
    - type: PodScheduled
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2025-06-26T11:26:40Z'
  phase: Running
